<?php

namespace Drupal\ld_json_schema;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;
use Drupal\Component\Render\FormattableMarkup;

/**
 * Provides a listing of Json schema entity entities.
 */
class JsonSchemaEntityListBuilder extends ConfigEntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['Url'] = $this->t('Url');
    $header['id'] = $this->t('Machine name');
    $header['json'] = $this->t('Raw JSON');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    $row['url'] = new FormattableMarkup('<a target="_blank" href="@url">@url</a>', ['@url' => $entity->label()]);
    $row['id'] = $entity->id();
    $row['json'] = $entity->json();
    // You probably want a few more properties here...
    return $row + parent::buildRow($entity);
  }

}
